Subject: bug#62983: workaround PCRE2 bug affecting at least \D and \W

From: Jim Meyering <[email-masked]>
Date: Sun, 30 Apr 2023 09:01:26 +0200

On Sun, Apr 30, 2023 at 3:15 AM Paul Eggert <[email-masked]> wrote:
>
> On 2023-04-28 23:54, Jim Meyering wrote:
> > I've made some small adjustments and tidied up the ChangeLog in the attached.
>
> One question about that patch (both original and as revised). Why do we
> need a new binary_safe slot in struct pcre_comp? Shouldn't the
> binary_safe stuff be done at compile-time rather than run-time?
>
> Proposed revised patch attached. It also tweaks commentary slightly, and
> uses a more uniform style in the test comments (something like what
> Carlo suggested, but a bit wordier since it names the characters).

Thanks, Paul. I prefer that. Pushed.
I've also pushed an update to use the latest from gnulib.